
/* Corps de la page */
body {
  background-color: rgb(32, 29, 29);
  font-family: 'Lemonmilk', Arial, Helvetica, sans-serif;
  font-size: 1.2em;
  min-height: 100vh;
  color: whitesmoke;
  text-align: center;
}

/* Liens */
a { 
  text-decoration: none; 
  color: rgb(97, 180, 221);
  font-size: 1.3em;
  text-shadow: black 1px 0 20px;
  display: inline-block;
  padding-bottom: 5px;
  background-image: linear-gradient(rgb(255, 255, 255) 0 0);
  background-position: 0 100%;
  background-size: 0% 2px;
  background-repeat: no-repeat;
  transition: background-size 0.3s, background-position 0s 0.3s;
}
a:hover {
  color: white;
  text-shadow: #14a3c7 1px 0 10px;
  background-position: 100% 100%;
  background-size: 100% 2px;
}

/* Champs de saisie */
input[type="text"],
input[type="email"],
input[type="date"],
input[type="password"],
input[type="number"] {
  background-color: rgb(46, 43, 43);
  color: whitesmoke;
}

/* Zones de texte */
textarea {
  background-color: rgb(46, 43, 43);
  color: whitesmoke;
}

/* Sélecteurs */
select {
  background-color: rgb(46, 43, 43);
  color: whitesmoke;
}

/* Formulaire */
form input {
  width: 80%;
  margin-bottom: 20px;
}
form label {
  text-align: left;
}

button 
{
  background-color: rgb(46, 43, 43);
  color: whitesmoke;
  border-radius: 4px;
  transition: box-shadow 0.3s ease;
  font-size: 1.5em; /* double la taille du texte */
  margin: 25px;
  padding: 10px;
}

button:hover 
{
  box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.5);
  cursor: pointer;
  color: cadetblue;
}

button:active 
{
  transform: scale(0.95);
}
